Bug 101719 - [PATCH] devel/cvsps: update to 2.1, take maintainership
Summary: [PATCH] devel/cvsps: update to 2.1, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-09 19:10 UTC by Stanislav Sedov
Modified: 2006-08-12 04:58 UTC (History)
0 users

See Also:


Attachments
cvsps-2.1.patch (2.17 KB, patch)
2006-08-09 19:10 UTC, Stanislav Sedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-08-09 19:10:13 UTC
- Update to 2.1
- Take maintainership

ChangeLog:
- lots of fixes to get the thing working sufficienly for cvs2git
- main features
  - optionally detect and display ancestor branch information for
    new detected branches                                        
  - never allow more than one revision of a file to be in a single
    patchset (this may disturb the patchset numbers for historical
    data :-(                                                      
  - use file revisions to help sort, so that initial imports
    won't be listed as patchset 1, with patchset 2 as the actual
    creation of the files.                                      
  - reports log times in localtime (use TZ to override)
- many downstream patches from Debian, special thanks to Marcus
  Crafter for maintaining.  From the Debian changelog:
   - patch from Kim Hansen to fix time calculation bug
   - documentation patch from J. Bruce Fields
   - directory name handling patch from David Kilzer
   - others I'm not sure of, I'd happily update the credit here

The following files was added:
- files/patch-cvsps.c
Comment 1 Rong-En Fan freebsd_committer 2006-08-10 06:40:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Rong-En Fan freebsd_committer 2006-08-12 04:58:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!